org.bouncycastle.asn1.cryptopro

## Class ECGOST3410ParamSetParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cryptopro.ECGOST3410ParamSetParameters

All Implemented Interfaces:
  DEREncodable

    public class ECGOST3410ParamSetParameters
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ECGOST3410ParamSetParameters(ASN1Sequence seq)`
`ECGOST3410ParamSetParameters(java.math.BigInteger a, java.math.BigInteger b, java.math.BigInteger p, java.math.BigInteger q, int x, java.math.BigInteger y)`

### Method Summary

Methods
`java.math.BigInteger` `getA()`
`static ECGOST3410ParamSetParameters` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ECGOST3410ParamSetParameters` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getP()`
`java.math.BigInteger` `getQ()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECGOST3410ParamSetParameters

    public ECGOST3410ParamSetParameters(java.math.BigInteger a,
                                java.math.BigInteger b,
                                java.math.BigInteger p,
                                java.math.BigInteger q,
                                int x,
                                java.math.BigInteger y)

#### ECGOST3410ParamSetParameters

    public ECGOST3410ParamSetParameters(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static ECGOST3410ParamSetParameters getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

#### getInstance

    public static ECGOST3410ParamSetParameters getInstance(java.lang.Object obj)

#### getP

    public java.math.BigInteger getP()

#### getQ

    public java.math.BigInteger getQ()

#### getA

    public java.math.BigInteger getA()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`